********************************************************************************
********************************************************************************
****
**** Replication Code File 1 for:
****   Gerber, Huber, Biggers, and Hendry. "Self Interest, Beliefs, and Policy
****   Opinions: Understanding the Economic Source of Immigration Policy
****   Preferences." Political Research Quarterly.
****
****     - This file restricts the raw survey data to the specific measures that
****       are used in the later analyses. This file is provided for information
****       purposes and transparency.
****     - Users interested in reproducing the results in the article should
****       begin with Replication Code File 2:
****
****           02_RecodeVariables.do
****
****       which reads in the dataset created by this .do file.
****
********************************************************************************
********************************************************************************

clear
set more off

log using Logs/01_GenerateAnalysisDataset-Run.txt, text replace

*read in raw data from YouGov
use Data/yale0045_output.dta, clear

*keep variables required to perform analysis for paper
keep weight YL45_10 YL45_12 YL45_14a YL45_17 YL45_18 YL45_28 YL45_28_question /*
  */YL45_29 YL45_29_question YL45_49 YL45_49_69_treat skill_treat YL45_50 /*
  */YL45_51 YL45_52 YL45_53 YL45_56a YL45_56e YL45_56h YL45_56j YL45_56n /*
  */YL45_56p YL45_57 YL45_61 YL45_64 YL45_64_69_treat YL45_65 YL45_66 YL45_67 /*
  */YL45_71 YL45_72 educ gender birthyr race hispanic ideo5 pid7
  
*save public dataset
save Data/SelfInterestBeliefsPolicyOpinionsPRQ.dta, replace

clear

log close
